---
# Source: SFday-demo/templates/cronjobs.yml
apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: review-feature-branch-cron-hello-world
  labels:
    app: sfday-demo
    environment: review-feature-branch
    tier: cron
    cron: hello-world
spec:
  schedule: "0 23 * * *"
  suspend: false
  successfulJobsHistoryLimit: 3
  jobTemplate:
    metadata:
      labels:
        app: sfday-demo
        environment: review-feature-branch
        tier: cron
        cron: hello-world
    spec:
      template:
        spec:
          restartPolicy: OnFailure
          imagePullSecrets:
          - name: "secret-sfday-review"
          containers:
          - image: registry.com/myproject/php:review-feature-abcd1234
            imagePullPolicy: Always
            name: hello-world
            command:
              - bin/console
              - hello:world
              
            resources:
              requests:
                memory: "63M"
                cpu: "25m"
              limits:
                memory: "128M"
                cpu: "250m"
            env:
              - name: DATABASE_USER
                valueFrom:
                  secretKeyRef:
                    name: sfday-database
                    key: user
              - name: DATABASE_PASSWORD
                valueFrom:
                  secretKeyRef:
                    name: sfday-database
                    key: password
---

